Bug 1413286 - [abrt] gnome-shell: gjs_value_from_g_argument(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: gjs_value_from_g_argument(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:59f568c3400ae713f4dd49e97ab...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-14 13:41 UTC by rh
Modified: 2017-12-12 10:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:04:36 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (140.16 KB, text/plain)
2017-01-14 13:41 UTC, rh
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-14 13:41 UTC, rh
no flags Details
File: core_backtrace (9.86 KB, text/plain)
2017-01-14 13:41 UTC, rh
no flags Details
File: dso_list (26.43 KB, text/plain)
2017-01-14 13:41 UTC, rh
no flags Details
File: environ (1.80 KB, text/plain)
2017-01-14 13:41 UTC, rh
no flags Details
File: exploitable (100 bytes, text/plain)
2017-01-14 13:41 UTC, rh
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-14 13:41 UTC, rh
no flags Details
File: maps (104.46 KB, text/plain)
2017-01-14 13:41 UTC, rh
no flags Details
File: mountinfo (3.49 KB, text/plain)
2017-01-14 13:41 UTC, rh
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-14 13:41 UTC, rh
no flags Details
File: open_fds (5.16 KB, text/plain)
2017-01-14 13:41 UTC, rh
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-14 13:41 UTC, rh
no flags Details
File: var_log_messages (526 bytes, text/plain)
2017-01-14 13:41 UTC, rh
no flags Details

Description rh 2017-01-14 13:41:31 UTC
Version-Release number of selected component:
gnome-shell-3.22.2-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: gjs_value_from_g_argument
executable:     /usr/bin/gnome-shell
global_pid:     2712
kernel:         4.8.16-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gjs_value_from_g_argument at gi/arg.cpp:2684
 #1 gjs_invoke_c_function at gi/function.cpp:1058
 #2 function_call at gi/function.cpp:1323
 #3 js::CallJSNative at /usr/src/debug/mozjs-24.2.0/js/src/jscntxtinlines.h:321
 #4 js::Invoke at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:474
 #5 Interpret at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:2298
 #6 js::RunScript at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:438
 #7 js::Invoke at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:500
 #8 js::CallOrConstructBoundFunction at /usr/src/debug/mozjs-24.2.0/js/src/jsfun.cpp:1212
 #9 js::CallJSNative at /usr/src/debug/mozjs-24.2.0/js/src/jscntxtinlines.h:321

Potential duplicate: bug 1210028

Comment 1 rh 2017-01-14 13:41:37 UTC
Created attachment 1240679 [details]
File: backtrace

Comment 2 rh 2017-01-14 13:41:39 UTC
Created attachment 1240680 [details]
File: cgroup

Comment 3 rh 2017-01-14 13:41:40 UTC
Created attachment 1240681 [details]
File: core_backtrace

Comment 4 rh 2017-01-14 13:41:42 UTC
Created attachment 1240682 [details]
File: dso_list

Comment 5 rh 2017-01-14 13:41:44 UTC
Created attachment 1240683 [details]
File: environ

Comment 6 rh 2017-01-14 13:41:45 UTC
Created attachment 1240684 [details]
File: exploitable

Comment 7 rh 2017-01-14 13:41:46 UTC
Created attachment 1240685 [details]
File: limits

Comment 8 rh 2017-01-14 13:41:49 UTC
Created attachment 1240686 [details]
File: maps

Comment 9 rh 2017-01-14 13:41:50 UTC
Created attachment 1240687 [details]
File: mountinfo

Comment 10 rh 2017-01-14 13:41:52 UTC
Created attachment 1240688 [details]
File: namespaces

Comment 11 rh 2017-01-14 13:41:53 UTC
Created attachment 1240689 [details]
File: open_fds

Comment 12 rh 2017-01-14 13:41:55 UTC
Created attachment 1240690 [details]
File: proc_pid_status

Comment 13 rh 2017-01-14 13:41:56 UTC
Created attachment 1240691 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:33:38 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:04:36 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.